Developers
V1PlatformCorporatesTenantidCampaignsIdPublish

/v1/platform/corporates/{tenantId}/campaigns/{id}/publish

POST
/v1/platform/corporates/{tenantId}/campaigns/{id}/publish
AuthorizationBearer <token>

In: header

Path Parameters

tenantId*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid
id*string
Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/v1/platform/corporates/497f6eca-6276-4993-bfeb-53cbbbba6f08/campaigns/497f6eca-6276-4993-bfeb-53cbbbba6f08/publish" \  -H "Content-Type: application/json" \  -d '{    "operationId": "3051932a-fdd2-48fa-b330-7e7d41535969",    "expectedVersion": 1  }'
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "tenantId": "f97df110-f4de-492e-8849-4a6af68026b0",  "kind": "wellbeing_activity",  "title": "string",  "summary": "string",  "rules": "string",  "startsAt": "2019-08-24T14:15:22Z",  "endsAt": "2019-08-24T14:15:22Z",  "points": 0,  "reservedPoints": 0,  "status": "draft",  "version": 1,  "rulesVersion": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}